namespace MyOffice.Web.Models.Account;

using AutoMapper;
using MyOffice.Services.Account.Domain;

public class AccountDetailedViewModel: BaseViewModel
{
	public AccountViewModel Account { get; set; } = null!;
	public decimal Rest { get; set; }
}

public class AccountDetailedViewModelProfile: Profile
{
	public AccountDetailedViewModelProfile()
	{
		CreateMap<AccountDetailedDto, AccountDetailedViewModel>()
			.ForMember(x => x.Account, o => o.MapFrom(x => x.Account))
			;
	}
}